Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1405714 - Review Request: slic3r-prusa3d - G-code generator for 3D printers (RepRap, Makerbot, Ultimaker etc.)
Review Request: slic3r-prusa3d - G-code generator for 3D printers (RepRap, Ma...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Kolman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-17 13:13 EST by Miro Hrončok
Modified: 2017-03-09 08:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-09 07:50:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mkolman: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2016-12-17 13:13:56 EST
Spec URL: https://raw.githubusercontent.com/hroncok/slic3r-prusa3d/prusa3d/slic3r-prusa3d.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/slic3r-prusa3d-1.31.6-1.fc25.src.rpm
Description: Slic3r is a G-code generator for 3D printers. It's compatible with RepRaps,
Makerbots, Ultimakers and many more machines.
See the project homepage at slic3r.org and the documentation on the Slic3r wiki
for more information.

Fedora Account System Username: churchyard

Copr: https://copr.fedorainfracloud.org/coprs/churchyard/slic3r-prusa3d/
Comment 2 Martin Kolman 2017-02-23 07:57:22 EST
- the appdata file should mention this is a Slic3r fork/edition (the description in the spec file already does that)
- ownership for the the icon directories should be sorted out

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "AGPL (v3)", "GPL (v2 or later)", "Unknown or generated",
     "MIT/X11 (BSD like)", "BSL (v1.0)", "*No copyright* AGPL (v3)",
     "Perl", "*No copyright* BSL". 360 files have unknown license. Detailed
     output of licensecheck in /home/mkolman/devel/misc/slic3r-
     prusa3d/1405714-slic3r-prusa3d/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/24x24, /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/32x32/apps,
     /usr/share/icons/hicolor/24x24/apps,
     /usr/share/icons/hicolor/16x16/apps, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128, /usr/share/icons/hicolor/48x48,
     /usr/share/icons/hicolor/32x32, /usr/share/icons/hicolor
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in slic3r-prusa3d
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
(perl-devel issue above)
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in slic3r-
     prusa3d-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1392640 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: slic3r-prusa3d-1.33.8-1.fc25.x86_64.rpm
          slic3r-prusa3d-debuginfo-1.33.8-1.fc25.x86_64.rpm
          slic3r-prusa3d-1.33.8-1.fc25.src.rpm
slic3r-prusa3d.x86_64: W: no-manual-page-for-binary slic3r-prusa3d
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: slic3r-prusa3d-debuginfo-1.33.8-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
slic3r-prusa3d.x86_64: W: no-manual-page-for-binary slic3r-prusa3d
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
slic3r-prusa3d (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    ld-linux-x86-64.so.2()(64bit)
    libboost_log.so.1.60.0()(64bit)
    libboost_system.so.1.60.0()(64bit)
    libboost_thread.so.1.60.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libperl.so.5.24()(64bit)
    libpoly2tri.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    perl(:MODULE_COMPAT_5.24.1)
    perl(:VERSION)
    perl(Carp)
    perl(Class::Accessor)
    perl(Config)
    perl(Encode)
    perl(Encode::Locale)
    perl(Exporter)
    perl(File::Basename)
    perl(File::Spec)
    perl(FindBin)
    perl(Getopt::Long)
    perl(IO::Scalar)
    perl(LWP::UserAgent)
    perl(List::Util)
    perl(Math::Trig)
    perl(Moo)
    perl(OpenGL)
    perl(POSIX)
    perl(SVG)
    perl(Scalar::Util)
    perl(Slic3rPrusa)
    perl(Slic3rPrusa::Config)
    perl(Slic3rPrusa::ExPolygon)
    perl(Slic3rPrusa::ExtrusionLoop)
    perl(Slic3rPrusa::ExtrusionPath)
    perl(Slic3rPrusa::Flow)
    perl(Slic3rPrusa::Format::AMF)
    perl(Slic3rPrusa::Format::OBJ)
    perl(Slic3rPrusa::Format::STL)
    perl(Slic3rPrusa::GCode::ArcFitting)
    perl(Slic3rPrusa::GCode::CoolingBuffer)
    perl(Slic3rPrusa::GCode::MotionPlanner)
    perl(Slic3rPrusa::GCode::PressureRegulator)
    perl(Slic3rPrusa::GCode::Reader)
    perl(Slic3rPrusa::GCode::SpiralVase)
    perl(Slic3rPrusa::GUI::2DBed)
    perl(Slic3rPrusa::GUI::3DScene)
    perl(Slic3rPrusa::GUI::3DScene::Base)
    perl(Slic3rPrusa::GUI::AboutDialog)
    perl(Slic3rPrusa::GUI::BedShapeDialog)
    perl(Slic3rPrusa::GUI::BonjourBrowser)
    perl(Slic3rPrusa::GUI::ConfigWizard)
    perl(Slic3rPrusa::GUI::ConfigWizard::Page)
    perl(Slic3rPrusa::GUI::Controller)
    perl(Slic3rPrusa::GUI::Controller::ManualControlDialog)
    perl(Slic3rPrusa::GUI::Controller::PrinterPanel)
    perl(Slic3rPrusa::GUI::GLShader)
    perl(Slic3rPrusa::GUI::MainFrame)
    perl(Slic3rPrusa::GUI::Notifier)
    perl(Slic3rPrusa::GUI::OptionsGroup)
    perl(Slic3rPrusa::GUI::OptionsGroup::Field)
    perl(Slic3rPrusa::GUI::Plater)
    perl(Slic3rPrusa::GUI::Plater::2D)
    perl(Slic3rPrusa::GUI::Plater::2DToolpaths)
    perl(Slic3rPrusa::GUI::Plater::3D)
    perl(Slic3rPrusa::GUI::Plater::3DPreview)
    perl(Slic3rPrusa::GUI::Plater::ObjectCutDialog)
    perl(Slic3rPrusa::GUI::Plater::ObjectDialog::BaseTab)
    perl(Slic3rPrusa::GUI::Plater::ObjectPartsPanel)
    perl(Slic3rPrusa::GUI::Plater::ObjectSettingsDialog)
    perl(Slic3rPrusa::GUI::Plater::OverrideSettingsPanel)
    perl(Slic3rPrusa::GUI::Preferences)
    perl(Slic3rPrusa::GUI::ProgressStatusBar)
    perl(Slic3rPrusa::GUI::Projector)
    perl(Slic3rPrusa::GUI::SimpleTab)
    perl(Slic3rPrusa::GUI::SystemInfo)
    perl(Slic3rPrusa::GUI::Tab)
    perl(Slic3rPrusa::Geometry)
    perl(Slic3rPrusa::Geometry::Clipper)
    perl(Slic3rPrusa::Layer)
    perl(Slic3rPrusa::Line)
    perl(Slic3rPrusa::Model)
    perl(Slic3rPrusa::Point)
    perl(Slic3rPrusa::Polygon)
    perl(Slic3rPrusa::Polyline)
    perl(Slic3rPrusa::Print)
    perl(Slic3rPrusa::Print::GCode)
    perl(Slic3rPrusa::Print::Object)
    perl(Slic3rPrusa::Print::Simple)
    perl(Slic3rPrusa::Print::State)
    perl(Slic3rPrusa::Print::SupportMaterial)
    perl(Slic3rPrusa::SVG)
    perl(Slic3rPrusa::Surface)
    perl(Slic3rPrusa::XS)
    perl(Thread::Semaphore)
    perl(Time::HiRes)
    perl(Unicode::Normalize)
    perl(Wx)
    perl(Wx::App)
    perl(Wx::DND)
    perl(Wx::Dialog)
    perl(Wx::Event)
    perl(Wx::FileDropTarget)
    perl(Wx::Frame)
    perl(Wx::GLCanvas)
    perl(Wx::Grid)
    perl(Wx::Html)
    perl(Wx::Panel)
    perl(Wx::Print)
    perl(Wx::ScrolledWindow)
    perl(Wx::StaticText)
    perl(Wx::StatusBar)
    perl(Wx::Wizard)
    perl(Wx::WizardPage)
    perl(XML::SAX)
    perl(XML::SAX::Base)
    perl(XSLoader)
    perl(base)
    perl(constant)
    perl(lib)
    perl(overload)
    perl(parent)
    perl(strict)
    perl(threads::shared)
    perl(utf8)
    perl(warnings)
    rtld(GNU_HASH)

slic3r-prusa3d-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
slic3r-prusa3d:
    appdata()
    appdata(slic3r-prusa3d.appdata.xml)
    application()
    application(slic3r-prusa3d.desktop)
    bundled(admesh-libs)
    bundled(polyclipping)
    perl(GLUquadricObjPtr)
    perl(Slic3rPrusa)
    perl(Slic3rPrusa::Config)
    perl(Slic3rPrusa::Config::Static)
    perl(Slic3rPrusa::ExPolygon)
    perl(Slic3rPrusa::ExPolygon::Collection)
    perl(Slic3rPrusa::ExtrusionLoop)
    perl(Slic3rPrusa::ExtrusionMultiPath)
    perl(Slic3rPrusa::ExtrusionPath)
    perl(Slic3rPrusa::ExtrusionPath::Collection)
    perl(Slic3rPrusa::ExtrusionSimulator)
    perl(Slic3rPrusa::Filler)
    perl(Slic3rPrusa::Flow)
    perl(Slic3rPrusa::Format::AMF)
    perl(Slic3rPrusa::Format::AMF::Parser)
    perl(Slic3rPrusa::Format::OBJ)
    perl(Slic3rPrusa::Format::STL)
    perl(Slic3rPrusa::GCode::ArcFitting)
    perl(Slic3rPrusa::GCode::ArcFitting::Arc)
    perl(Slic3rPrusa::GCode::CoolingBuffer)
    perl(Slic3rPrusa::GCode::MotionPlanner)
    perl(Slic3rPrusa::GCode::MotionPlanner::ConfigurationSpace)
    perl(Slic3rPrusa::GCode::PressureRegulator)
    perl(Slic3rPrusa::GCode::Reader)
    perl(Slic3rPrusa::GCode::SpiralVase)
    perl(Slic3rPrusa::GUI)
    perl(Slic3rPrusa::GUI::2DBed)
    perl(Slic3rPrusa::GUI::3DScene)
    perl(Slic3rPrusa::GUI::3DScene::Base)
    perl(Slic3rPrusa::GUI::3DScene::Volume)
    perl(Slic3rPrusa::GUI::AboutDialog)
    perl(Slic3rPrusa::GUI::AboutDialog::Logo)
    perl(Slic3rPrusa::GUI::BedShapeDialog)
    perl(Slic3rPrusa::GUI::BedShapePanel)
    perl(Slic3rPrusa::GUI::BonjourBrowser)
    perl(Slic3rPrusa::GUI::ConfigOptionsGroup)
    perl(Slic3rPrusa::GUI::ConfigWizard)
    perl(Slic3rPrusa::GUI::ConfigWizard::Index)
    perl(Slic3rPrusa::GUI::ConfigWizard::Page)
    perl(Slic3rPrusa::GUI::ConfigWizard::Page::Bed)
    perl(Slic3rPrusa::GUI::ConfigWizard::Page::BedTemperature)
    perl(Slic3rPrusa::GUI::ConfigWizard::Page::Filament)
    perl(Slic3rPrusa::GUI::ConfigWizard::Page::Finished)
    perl(Slic3rPrusa::GUI::ConfigWizard::Page::Firmware)
    perl(Slic3rPrusa::GUI::ConfigWizard::Page::Nozzle)
    perl(Slic3rPrusa::GUI::ConfigWizard::Page::Temperature)
    perl(Slic3rPrusa::GUI::ConfigWizard::Page::Welcome)
    perl(Slic3rPrusa::GUI::Controller)
    perl(Slic3rPrusa::GUI::Controller::ManualControlDialog)
    perl(Slic3rPrusa::GUI::Controller::PrinterPanel)
    perl(Slic3rPrusa::GUI::Controller::PrinterPanel::PrintJob)
    perl(Slic3rPrusa::GUI::Controller::PrinterPanel::PrintJobPanel)
    perl(Slic3rPrusa::GUI::GLShader)
    perl(Slic3rPrusa::GUI::MainFrame)
    perl(Slic3rPrusa::GUI::Notifier)
    perl(Slic3rPrusa::GUI::OptionsGroup)
    perl(Slic3rPrusa::GUI::OptionsGroup::Field)
    perl(Slic3rPrusa::GUI::OptionsGroup::Field::Checkbox)
    perl(Slic3rPrusa::GUI::OptionsGroup::Field::Choice)
    perl(Slic3rPrusa::GUI::OptionsGroup::Field::ColourPicker)
    perl(Slic3rPrusa::GUI::OptionsGroup::Field::NumericChoice)
    perl(Slic3rPrusa::GUI::OptionsGroup::Field::Point)
    perl(Slic3rPrusa::GUI::OptionsGroup::Field::Slider)
    perl(Slic3rPrusa::GUI::OptionsGroup::Field::SpinCtrl)
    perl(Slic3rPrusa::GUI::OptionsGroup::Field::TextCtrl)
    perl(Slic3rPrusa::GUI::OptionsGroup::Field::wxSizer)
    perl(Slic3rPrusa::GUI::OptionsGroup::Field::wxWindow)
    perl(Slic3rPrusa::GUI::OptionsGroup::Line)
    perl(Slic3rPrusa::GUI::OptionsGroup::Option)
    perl(Slic3rPrusa::GUI::OptionsGroup::StaticText)
    perl(Slic3rPrusa::GUI::Plater)
    perl(Slic3rPrusa::GUI::Plater::2D)
    perl(Slic3rPrusa::GUI::Plater::2DToolpaths)
    perl(Slic3rPrusa::GUI::Plater::2DToolpaths::Canvas)
    perl(Slic3rPrusa::GUI::Plater::2DToolpaths::Dialog)
    perl(Slic3rPrusa::GUI::Plater::3D)
    perl(Slic3rPrusa::GUI::Plater::3DPreview)
    perl(Slic3rPrusa::GUI::Plater::3DToolpaths)
    perl(Slic3rPrusa::GUI::Plater::DropTarget)
    perl(Slic3rPrusa::GUI::Plater::Object)
    perl(Slic3rPrusa::GUI::Plater::ObjectCutDialog)
    perl(Slic3rPrusa::GUI::Plater::ObjectDialog::BaseTab)
    perl(Slic3rPrusa::GUI::Plater::ObjectDialog::LayersTab)
    perl(Slic3rPrusa::GUI::Plater::ObjectPartsPanel)
    perl(Slic3rPrusa::GUI::Plater::ObjectSettingsDialog)
    perl(Slic3rPrusa::GUI::Plater::OverrideSettingsPanel)
    perl(Slic3rPrusa::GUI::Preferences)
    perl(Slic3rPrusa::GUI::ProgressStatusBar)
    perl(Slic3rPrusa::GUI::Projector)
    perl(Slic3rPrusa::GUI::Projector::Controller)
    perl(Slic3rPrusa::GUI::Projector::Screen)
    perl(Slic3rPrusa::GUI::SavePresetWindow)
    perl(Slic3rPrusa::GUI::SimpleTab)
    perl(Slic3rPrusa::GUI::SimpleTab::Filament)
    perl(Slic3rPrusa::GUI::SimpleTab::Print)
    perl(Slic3rPrusa::GUI::SimpleTab::Printer)
    perl(Slic3rPrusa::GUI::SystemInfo)
    perl(Slic3rPrusa::GUI::Tab)
    perl(Slic3rPrusa::GUI::Tab::Filament)
    perl(Slic3rPrusa::GUI::Tab::Page)
    perl(Slic3rPrusa::GUI::Tab::Preset)
    perl(Slic3rPrusa::GUI::Tab::Print)
    perl(Slic3rPrusa::GUI::Tab::Printer)
    perl(Slic3rPrusa::GUI::_3DScene::GLVertexArray)
    perl(Slic3rPrusa::Geometry)
    perl(Slic3rPrusa::Geometry::Clipper)
    perl(Slic3rPrusa::Layer)
    perl(Slic3rPrusa::Layer::Support)
    perl(Slic3rPrusa::Line)
    perl(Slic3rPrusa::Model)
    perl(Slic3rPrusa::Model::Material)
    perl(Slic3rPrusa::Model::Object)
    perl(Slic3rPrusa::Point)
    perl(Slic3rPrusa::Point3)
    perl(Slic3rPrusa::Pointf)
    perl(Slic3rPrusa::Pointf3)
    perl(Slic3rPrusa::Polygon)
    perl(Slic3rPrusa::Polyline)
    perl(Slic3rPrusa::Polyline::Collection)
    perl(Slic3rPrusa::Print)
    perl(Slic3rPrusa::Print::GCode)
    perl(Slic3rPrusa::Print::Object)
    perl(Slic3rPrusa::Print::Simple)
    perl(Slic3rPrusa::Print::State)
    perl(Slic3rPrusa::Print::SupportMaterial)
    perl(Slic3rPrusa::Print::SupportMaterial2)
    perl(Slic3rPrusa::SVG)
    perl(Slic3rPrusa::Surface)
    perl(Slic3rPrusa::Surface::Collection)
    perl(Slic3rPrusa::Test)
    perl(Slic3rPrusa::Test::Print)
    perl(Slic3rPrusa::Test::SectionCut)
    perl(Slic3rPrusa::XS)
    slic3r-prusa3d
    slic3r-prusa3d(x86-64)

slic3r-prusa3d-debuginfo:
    slic3r-prusa3d-debuginfo
    slic3r-prusa3d-debuginfo(x86-64)



Unversioned so-files
--------------------
slic3r-prusa3d: /usr/lib64/perl5/vendor_perl/auto/Slic3rPrusa/XS/XS.so
- this is in private directory so should be OK

Source checksums
----------------
https://github.com/prusa3d/Slic3r/archive/version_1.33.8.tar.gz :
  CHECKSUM(SHA256) this package     : 9a9a5d7d37d911774c394d44f17c66e5b71b763c98005b0ea74774a3520af12e
  CHECKSUM(SHA256) upstream package : 9a9a5d7d37d911774c394d44f17c66e5b71b763c98005b0ea74774a3520af12e


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1405714
Buildroot used: fedora-25-x86_64
Active plugins: Generic, Shell-api, C/C++, Perl
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Martin Kolman 2017-02-27 11:43:37 EST
Looks fine now, thanks! :)
Comment 5 Gwyn Ciesla 2017-02-28 08:40:11 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/slic3r-prusa3d
Comment 6 Fedora Update System 2017-03-01 12:19:33 EST
slic3r-prusa3d-1.33.8-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e81d02a8e7
Comment 7 Fedora Update System 2017-03-01 13:13:34 EST
slic3r-prusa3d-1.33.8-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a1a496d043
Comment 8 Fedora Update System 2017-03-01 21:22:32 EST
slic3r-prusa3d-1.33.8-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e81d02a8e7
Comment 9 Fedora Update System 2017-03-01 21:53:17 EST
slic3r-prusa3d-1.33.8-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a1a496d043
Comment 10 Fedora Update System 2017-03-09 07:50:11 EST
slic3r-prusa3d-1.33.8-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2017-03-09 08:22:19 EST
slic3r-prusa3d-1.33.8-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.